# Deprecated API

## Contents

- Fields
- Methods
- Annotation Type Elements

Fields
com.oracle.truffle.api.dsl.Specialization.DEFAULT_ORDER: do not use anymore. Will get removed in the next release.

Methods
com.oracle.truffle.api.dsl.Specialization.order(): use declaration order instead. Will get removed in the next release.
com.oracle.truffle.api.nodes.DirectCallNode.isInlined(): we do not expose this information any longer. returns always false.
com.oracle.truffle.api.nodes.Node.clone()

Annotation Type Elements
com.oracle.truffle.api.dsl.Specialization.DEFAULT_ORDER: do not use anymore. Will get removed in the next release.
com.oracle.truffle.api.dsl.Specialization.order(): use declaration order instead. Will get removed in the next release.